package com.zhyc.module.work.mapper;

import java.util.List;
import com.zhyc.module.work.domain.WorkOrder;
import org.apache.ibatis.annotations.Mapper;

/**
 * 派工单Mapper接口
 * 
 * @author piaobo
 * @date 2025-12-07
 */
@Mapper
public interface WorkOrderMapper 
{
    /**
     * 查询派工单
     * 
     * @param id 派工单主键
     * @return 派工单
     */
    public WorkOrder selectWorkOrderById(Long id);

    /**
     * 查询派工单列表
     * 
     * @param workOrder 派工单
     * @return 派工单集合
     */
    public List<WorkOrder> selectWorkOrderList(WorkOrder workOrder);

    /**
     * 新增派工单
     * 
     * @param workOrder 派工单
     * @return 结果
     */
    public int insertWorkOrder(WorkOrder workOrder);

    /**
     * 修改派工单
     * 
     * @param workOrder 派工单
     * @return 结果
     */
    public int updateWorkOrder(WorkOrder workOrder);

    /**
     * 删除派工单
     * 
     * @param id 派工单主键
     * @return 结果
     */
    public int deleteWorkOrderById(Long id);

    /**
     * 批量删除派工单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkOrderByIds(Long[] ids);
}
